#!/bin/sh
echo 'name: mueval
version: 0.9
id: mueval-0.9-bf0e039e5268ea84545700d758f3f150

license: BSD3
copyright:
maintainer: Gwern <gwern0@gmail.com>
stability:
homepage: http://code.haskell.org/mubot/
package-url:
synopsis: Safely evaluate pure Haskell expressions
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules and Safe Haskell,
             special Show instances for IO, threads, processes, and changes of directory
             to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/mueval-0.9
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/mueval-0.9
              /usr/local/lib
hs-libraries: HSmueval-0.9
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.16.0-074a4046c9058480c94015a7ecc54753
         base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         directory-1.2.0.1-993cd73de8286c92ca288a1093da3273
         extensible-exceptions-0.1.1.4-255a395b3b026cb94b23754e1c372785
         filepath-1.3.0.1-edbc3d8247914b04f448e9261e7fe895
         hint-0.3.3.6-828be397d7937ff87b1572d0e95fa008
         mtl-2.1.2-735d9c92b4f214d454fb5168bb1eb6ee
         process-1.1.0.2-a830d25f0e9fb9c610aa641b7f5b20f9
         show-0.6-1d5a417f69be8a88f2cd8659613d334b
         simple-reflect-0.3.1-a5e1915f637402f398f4321789712e31
         unix-2.6.0.1-994ea187fc450f2785b3f972a817eb1b
         utf8-string-0.3.7-13d848f28ddf5579c83558e8e7bf6341
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/mueval-0.9/html/mueval.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/mueval-0.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
